import request from '@/utils/request'

//查询规则引擎列表
export function list(){
  return request({
    url: "/engine/type/list",
    method: "post"
  })
}

//添加类型数据
export  function insert(data){
  return request({
    url: "/engine/type/add",
    method: "post",
    data:data
  })
}

//修改类型数据
export  function update(data){
  return request({
    url: "/engine/type/update",
    method: "post",
    data:data
  })
}

//删除类型数据
export  function del(id){
  return request({
    url: "/engine/type/delete/" + id,
    method: "post",
    data:id
  })
}

//导出类型数据
export function exports(data){
  return request({
    url: "/engine/type/export",
    method: "post",
    data:data
  })
}

